﻿<%@ Page Title="Contact" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="AgentGreeting.aspx.cs" Inherits="_3CXAgentGreetingWeb.Contact" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent"></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript">
        function OnTextChanged(s, e) {
            var tempVal = document.getElementById('FileUploadControl').getAttribute('title');
            s.Upload();
        }
        function onFileUploadComplete(s, e) {
            gvAudioFiles.Refresh();
        }
    </script>
    <style type="text/css">
        #ctl00_MainContent_pcFileName_PW-1,#ctl00_MainContent_pcMsgBox_PW-1,#ctl00_MainContent_popup_PW-1 {
            top: 300px !important;
        }
        #ctl00_MainContent_popup_PW-1{
            left:711px !important;
        }
    </style>
    <asp:ScriptManager ID="scriptmanager" runat="server" />

    <div style="width: 490px; margin: 0 auto; padding: 50px 0 10px 0;">
        <dx:ASPxRoundPanel ID="rdPnlMain" runat="server" Width="100%" CssClass="shadow">
            <HeaderTemplate>
                <asp:Label ID="lblHeaderText" runat="server" Font-Bold="true">Agent Greetings</asp:Label>
            </HeaderTemplate>
            <PanelCollection>
                <dx:PanelContent>
                    <asp:UpdatePanel ID="upMain" runat="server">
                        <ContentTemplate>
                            <table>
                                <tr>
                                    <td>&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 5%">&nbsp;</td>
                                    <td colspan="2">
                                        <dx:ASPxUploadControl ID="FileUploadControl" ClientInstanceName="FileUploadControl" runat="server" FileUploadMode="OnPageLoad" OnFileUploadComplete="uc_FileUploadComplete"
                                            NullText="Click here to upload existing recording files..." UploadMode="Advanced" ShowProgressPanel="True" ClientIDMode="Static" Width="422px">
                                            <ClientSideEvents TextChanged="OnTextChanged" FileUploadComplete="onFileUploadComplete" />
                                            <ValidationSettings MaxFileSize="5728640" AllowedFileExtensions=".wav,.mp3">
                                            </ValidationSettings>
                                            <BrowseButton Text="Browse" />
                                        </dx:ASPxUploadControl>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 5%">&nbsp;
                                    </td>
                                    <td colspan="2">
                                        <dx:ASPxLabel ID="lblRecordedVoices" runat="server" Text="Existing Recordings:"></dx:ASPxLabel>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td style="width: 5%">&nbsp;
                                    </td>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:UpdatePanel ID="updAudiogrid" runat="server" UpdateMode="Conditional">
                                                        <Triggers>
                                                            <asp:AsyncPostBackTrigger ControlID="gvAudioFiles" />
                                                        </Triggers>
                                                        <ContentTemplate>
                                                            <dx:ASPxGridView ID="gvAudioFiles"
                                                                runat="server"
                                                                DataSourceID="CustomersDataSource"
                                                                ClientInstanceName="gvAudioFiles"
                                                                KeyFieldName="Id"
                                                                EnableCallBacks="true"
                                                                SettingsBehavior-AllowSelectByRowClick="true"
                                                                Width="310px" AutoPostBack="true"
                                                                OnBatchUpdate="gvAudioFiles_BatchUpdate">
                                                                <Columns>
                                                                    <dx:GridViewCommandColumn ShowUpdateButton="true" ShowCancelButton="true" Visible="false" />
                                                                    <dx:GridViewDataColumn FieldName="Id" Visible="false" />
                                                                    <dx:GridViewDataTextColumn FieldName="FileName" Caption="File Name">
                                                                        <PropertiesTextEdit>
                                                                            <ValidationSettings Display="Dynamic" RequiredField-IsRequired="true" />
                                                                        </PropertiesTextEdit>
                                                                    </dx:GridViewDataTextColumn>
                                                                </Columns>
                                                                <SettingsEditing Mode="Batch" />
                                                                <SettingsCommandButton
                                                                    UpdateButton-Image-IconID="actions_apply_16x16" UpdateButton-RenderMode="Image"
                                                                    CancelButton-Image-IconID="actions_cancel_16x16" CancelButton-RenderMode="Image">
                                                                </SettingsCommandButton>
                                                                <SettingsPager Mode="ShowAllRecords"></SettingsPager>
                                                                <Settings VerticalScrollBarMode="Visible" />
                                                                <Settings ShowColumnHeaders="false" />

                                                            </dx:ASPxGridView>
                                                        </ContentTemplate>
                                                    </asp:UpdatePanel>
                                                    <asp:SqlDataSource ID="CustomersDataSource" runat="server" ConnectionString='<%$ ConnectionStrings:AgentGreetingConnectionString%>'
                                                        SelectCommand="SELECT * FROM [AgentAudio] WHERE [Status] IS Not NULL and ([Extension] = @Extension)"
                                                        UpdateCommand="UPDATE [AgentAudio] SET [Description] = @Description WHERE [Id]=@ID"
                                                        DeleteCommand="Delete FROM [AgentAudio] WHERE [Id]=@ID">
                                                        <SelectParameters>
                                                            <asp:SessionParameter SessionField="LoginExt" Name="Extension" Type="String"></asp:SessionParameter>
                                                        </SelectParameters>
                                                        <UpdateParameters>
                                                            <asp:Parameter Name="Id" Type="Int32" />
                                                            <asp:Parameter Name="Description" Type="String" />
                                                        </UpdateParameters>
                                                        <DeleteParameters>
                                                            <asp:Parameter Name="Id" Type="Int32" />
                                                        </DeleteParameters>
                                                    </asp:SqlDataSource>
                                                </td>
                                                <td>&nbsp;</td>
                                                <td style="vertical-align: top; padding-left: 10px;">
                                                    <dx:ASPxButton ID="btnAdd" Text="Record" runat="server" Width="100px" Image-IconID="arrows_record_16x16" HorizontalAlign="Left" OnClick="btnAdd_Click" />
                                                    <dx:ASPxButton ID="btnPlay" Style="margin-top: 10%;" Text="Play" Width="100px" Image-IconID="arrows_next_16x16" HorizontalAlign="Left" runat="server" OnClick="btnPlay_Click" />
                                                    <dx:ASPxButton ID="btnDelete" Style="margin-top: 10%;" Width="100px" Text="Delete" Image-IconID="actions_cancel_16x16" HorizontalAlign="Left" runat="server" OnClick="btnDelete_Click" />
                                                    <%--<dx:ASPxButton ID="btnMessage" Text="Send" EncodeHtml="false" Width="100px" Image-IconID="navigation_forward_16x16office2013" HorizontalAlign="Left" Style="margin-top: 10%;" runat="server" OnClick="btnMessage_Click" />--%>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                </tr>
                            </table>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </dx:PanelContent>
            </PanelCollection>
        </dx:ASPxRoundPanel>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upPopup" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="popup"
                runat="server"
                CloseAction="CloseButton"
                LoadContentViaCallback="OnFirstShow"
                PopupVerticalAlign="WindowCenter"
                PopupHorizontalAlign="WindowCenter"
                AllowDragging="true"
                ShowCloseButton="true"
                ShowHeader="true"
                ShowFooter="false"
                Width="500px"
                Height="130px"
                HeaderText="Recording File"
                ClientInstanceName="popup">
                <ContentCollection>
                    <dx:PopupControlContentControl ID="PopupControlContentControl" runat="server">
                        <div style="vertical-align: middle; text-align: center;">
                            <dx:ASPxLabel ID="lblFileName" runat="server" Text="" />
                            <br />
                            <audio id="audioSources" runat="server" controls>
                                <source id="audioMp3" src='Temp/<%: Session["mp3temp"] %>' type="audio/mp3" />
                                <source id="audioWav" src='Temp/<%: Session["wavtemp"] %>' type="audio/wav" />
                                Your browser does not support HTML5 audio.
                            </audio>
                        </div>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upFileName" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="pcFileName"
                runat="server"
                CloseAction="CloseButton"
                LoadContentViaCallback="OnFirstShow"
                PopupVerticalAlign="WindowCenter"
                PopupHorizontalAlign="WindowCenter"
                AllowDragging="true"
                ShowCloseButton="true"
                ShowHeader="true"
                ShowFooter="false"
                Width="350px"
                Height="130px"
                HeaderText="Description"
                ClientInstanceName="popup">
                <ContentCollection>
                    <dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server">
                        <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text="Enter recording name" />
                        <br />
                        <asp:HiddenField ID="txtDescriptio" runat="server"></asp:HiddenField>
                        <dx:ASPxTextBox ID="txtDescription_inputs" ClientInstanceName="txtFieldName" runat="server" Width="300px" />
                        <br />
                        <dx:ASPxButton ID="btnRecordMessage" runat="server" Text="Call my Extension" Image-IconID="contacts_phone_16x16devav" OnClick="btnRecordMessage_Click" AutoPostBack="true" />
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>


