﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="AgentGreetingSettings.aspx.cs" Inherits="_3CXAgentGreetingWeb._Default" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        #form1 .dxbButton {
            background: none;
        }
    </style>
    <script type="text/javascript" language="javascript">
        function MyFunction(CallMyFunction) {
            alert(CallMyFunction);
        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <asp:ScriptManager ID="scriptmanager" runat="server" EnablePageMethods="true" />
    <br />

    <div style="width: 50%; margin: auto; margin-bottom: 30px; margin-top: 20px;">
        <div style="width: 80%; margin-left: 18%; margin-bottom: 2%;">
            <asp:Label ID="lblPublishWarning" ForeColor="Red" runat="server" Style="position: center;"></asp:Label>
        </div>
    </div>

    <center>
               <asp:UpdatePanel ID="updAudiogrid" runat="server" UpdateMode="Conditional">
                 <Triggers>
                     <asp:AsyncPostBackTrigger ControlID="grid" />
                 </Triggers>
                 <ContentTemplate>
        <dx:ASPxGridView
            ID="grid"
            DataSourceID="sdsCode"
            ClientInstanceName="grid"
            runat="server"
            Width="650px"
            CssClass="shadow"
            KeyFieldName="Id" 
            EnableRowsCache="False"
            AutoGenerateColumns="False"
            EnableCallBacks="false"
            Theme="Metropolis" 
            OnCustomButtonCallback="grid_CustomButtonCallback" OnRowInserting="grid_RowInserting" OnRowDeleting="grid_RowDeleting" OnRowValidating="grid_RowValidating">
            <Columns>
                <dx:GridViewCommandColumn VisibleIndex="0"
                    ButtonType="Image"
                    ShowDeleteButton="true"
                    ShowCancelButton="true"
                    ShowUpdateButton="true"
                    ShowClearFilterButton="true"
                    ShowNewButtonInHeader="true"
                    ShowEditButton="true"
                    Width="100" 
                    >
                </dx:GridViewCommandColumn>
                
                <dx:GridViewDataComboBoxColumn Caption="Queue" FieldName="Queue" Width="60px" VisibleIndex="1" >
                    <PropertiesComboBox DataSourceID="sdExtensionList" ValueType="System.String" />
                    <Settings AllowHeaderFilter="False" AllowAutoFilter="True" />
                </dx:GridViewDataComboBoxColumn>
                 <dx:GridViewDataComboBoxColumn Caption="Filename" FieldName="Filename" Width="200px" VisibleIndex="2">
           
                  
                    <PropertiesComboBox DataSourceID="sdFilenameList" ValueType="System.String"/>
                    <Settings AllowHeaderFilter="False" AllowAutoFilter="True" />
                </dx:GridViewDataComboBoxColumn>
                 <dx:GridViewDataTextColumn FieldName="IVR" Caption="IVR" VisibleIndex="3"  Width="70px" Visible="true" />
                 <dx:GridViewDataTextColumn FieldName="Duration" Caption="Duration" VisibleIndex="4" Width="80px"  Visible="false" />
                 <dx:GridViewDataCheckColumn FieldName="Active" Caption="Active" VisibleIndex="5" Width="50px"  Visible="true"  />
                <dx:GridViewDataTextColumn FieldName="Id" Caption="" VisibleIndex="6" ReadOnly="True" Visible="false" />
                <dx:GridViewDataTextColumn FieldName="Extension" Caption="Extension" VisibleIndex="7" Width="75%"  Visible="false"  />
          
                  <dx:GridViewCommandColumn VisibleIndex="9" Caption="Play" Width="100px">
                                <CustomButtons>
                                    <dx:GridViewCommandColumnCustomButton ID="btnPlay"  Text="Play" Image-IconID="arrows_next_16x16" Image-ToolTip="">
                                    </dx:GridViewCommandColumnCustomButton>
                                </CustomButtons>
                                <HeaderStyle HorizontalAlign="Center" />
                            </dx:GridViewCommandColumn>


                  <dx:GridViewCommandColumn VisibleIndex="9" Caption="Record" Width="100px">
                                <CustomButtons>
                                    <dx:GridViewCommandColumnCustomButton ID="btnRecord" Text="Record" Image-IconID="arrows_record_16x16" Image-ToolTip="">
                                    </dx:GridViewCommandColumnCustomButton>
                                </CustomButtons>
                                <HeaderStyle HorizontalAlign="Center" />
                            </dx:GridViewCommandColumn>

                 <dx:GridViewCommandColumn VisibleIndex="9" Caption="Delete" Width="100px">
                                <CustomButtons>
                                    <dx:GridViewCommandColumnCustomButton ID="btnDelete" Text="Delete" Image-IconID="actions_cancel_16x16" Image-ToolTip="">
                                    </dx:GridViewCommandColumnCustomButton>
                                </CustomButtons>
                                <HeaderStyle HorizontalAlign="Center" />
                            </dx:GridViewCommandColumn>

              

                <%--<dx:GridViewDataCheckColumn FieldName="Filename" Caption="Audio" VisibleIndex="4" Width="100%"  />--%>
            </Columns>
            <SettingsCommandButton
                NewButton-Image-IconID="actions_add_16x16gray"
                DeleteButton-Image-IconID="actions_deleteitem_16x16gray"
                CancelButton-Image-IconID="actions_cancel_16x16gray"
                UpdateButton-Image-IconID="actions_apply_16x16gray"
                ApplyFilterButton-Image-IconID="actions_apply_16x16gray"
                ClearFilterButton-Image-IconID="actions_clear_16x16gray"
                />
            <Settings
                ShowGroupPanel="true"
                ShowFilterRow="true"
                ShowFilterRowMenu="true"
                ShowTitlePanel="True"
                ShowFilterBar="Visible"
                VerticalScrollableHeight="400"
                VerticalScrollBarMode="Auto" />
            <SettingsEditing
                Mode="Batch"
                BatchEditSettings-ShowConfirmOnLosingChanges="true"
                BatchEditSettings-EditMode="Cell" />
            <SettingsBehavior ConfirmDelete="True" />
            <SettingsText
                Title="Agent Greetings Maintenance"
                CommandDelete="Delete Code?"
                CommandBatchEditUpdate="Save" />
            <Styles>
                <AlternatingRow Enabled="True" BackColor="WhiteSmoke" />
                <TitlePanel BackColor="DarkOrange" ForeColor="White" />
                <StatusBar BackColor="DarkOrange" />
            </Styles>
            <SettingsPager PageSize="40" />
        </dx:ASPxGridView>
                 </ContentTemplate>
           </asp:UpdatePanel>
         </center>
    </div>

    <asp:UpdatePanel ID="upFileName" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="pcFileName"
                runat="server"
                CloseAction="CloseButton"
                LoadContentViaCallback="OnFirstShow"
                PopupVerticalAlign="WindowCenter"
                PopupHorizontalAlign="WindowCenter"
                AllowDragging="true"
                ShowCloseButton="true"
                ShowHeader="true"
                ShowFooter="false"
                Width="350px"
                Height="130px"
                HeaderText="Description"
                ClientInstanceName="popup">
                <ContentCollection>
                    <dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server">
                        <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text="Enter recording name" />
                        <br />
                        <asp:HiddenField ID="txtDescriptio" runat="server"></asp:HiddenField>
                        <dx:ASPxTextBox ID="txtDescription_inputs" ClientInstanceName="txtFieldName" runat="server" Width="300px" />
                        <br />
                        <dx:ASPxButton ID="btnRecordMessage" runat="server" Text="Call my Extension" Image-IconID="contacts_phone_16x16devav" OnClick="btnRecordMessage_Click" AutoPostBack="true" />
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upPopup" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="popup"
                runat="server"
                CloseAction="CloseButton"
                LoadContentViaCallback="OnFirstShow"
                PopupVerticalAlign="WindowCenter"
                PopupHorizontalAlign="WindowCenter"
                AllowDragging="true"
                ShowCloseButton="true"
                ShowHeader="true"
                ShowFooter="false"
                Width="500px"
                Height="130px"
                HeaderText="Recording File"
                ClientInstanceName="popup">
                <ContentCollection>
                    <dx:PopupControlContentControl ID="PopupControlContentControl" runat="server">
                        <div style="vertical-align: middle; text-align: center;">
                            <dx:ASPxLabel ID="lblFileName" runat="server" Text="" />
                            <br />
                            <audio id="audioSources" runat="server" controls>
                                <source id="audioMp3" src='Temp/<%: Session["mp3temp"] %>' type="audio/mp3" />
                                <source id="audioWav" src='Temp/<%: Session["wavtemp"] %>' type="audio/wav" />
                                Your browser does not support HTML5 audio.
                            </audio>
                        </div>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>
    <%--InsertCommand="IF NOT EXISTS (SELECT * FROM AgentSettings WHERE Queue=@Queue OR IVR=@IVR) BEGIN INSERT INTO [AgentSettings] ([Extension], [Queue], [Filename], [IVR], [Duration], [Active]) VALUES (@Extension, @Queue, @Filename, @IVR, @Duration, @Active) END"--%>

    <asp:SqlDataSource
        ID="sdsCode" OnInserting="sdsCode_Inserting" OnUpdating="sdsCode_Updating" OnDeleting="sdsCode_Deleting"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:AgentGreetingConnectionString %>"
        SelectCommand="SELECT [Extension], [Queue], [Filename],[Id], [IVR], [Duration], [Active] FROM [AgentSettings] WHERE ([Extension] = @Extension)"
        InsertCommand="INSERT INTO [AgentSettings] ([Extension], [Queue], [Filename], [IVR], [Duration], [Active], [FileDuration]) VALUES (@Extension, @Queue, @Filename, @IVR, @Duration, @Active, @Fileduration)"
        UpdateCommand="UPDATE [AgentSettings] SET [Extension] = @Extension, [Queue] = @Queue,[Filename] = @Filename, [IVR] = @IVR, [Duration] = @Duration, [Active] = @Active, [FileDuration]= @Fileduration WHERE [Id] = @Id"
        DeleteCommand="DELETE FROM [AgentSettings] WHERE [Id] = @Id">
        <SelectParameters>
            <asp:SessionParameter SessionField="LoginExt" Name="Extension" Type="String"></asp:SessionParameter>
        </SelectParameters>
        <InsertParameters>
            <asp:SessionParameter Name="Extension" Type="String" SessionField="LoginExt" />
            <asp:Parameter Name="Queue" Type="String" />
            <asp:Parameter Name="Filename" Type="String" />
            <asp:Parameter Name="IVR" Type="String" />
            <asp:Parameter Name="Duration" Type="String" DefaultValue="60"/>
            <asp:Parameter Name="Active" Type="Int64" />
            <asp:Parameter Name="Fileduration" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Extension" Type="String" />
            <asp:Parameter Name="Queue" Type="String" />
            <asp:Parameter Name="Filename" Type="String" />
            <asp:Parameter Name="IVR" Type="String" />
            <asp:Parameter Name="Duration" Type="String" />
            <asp:Parameter Name="Active" Type="Int64" />
            <asp:Parameter Name="Id" Type="Int64" />
            <asp:Parameter Name="Fileduration" Type="String" />
        </UpdateParameters>
        <DeleteParameters>
            <asp:Parameter Name="Id" Type="Int64" />
        </DeleteParameters>
    </asp:SqlDataSource>

    <asp:ObjectDataSource
        ID="sdExtensionList"
        runat="server"
        TypeName="_3CXAgentGreetingWeb.Notification"
        SelectMethod="GetIVRExtensions"></asp:ObjectDataSource>
    <asp:ObjectDataSource
        ID="sdFileNameList"
        runat="server"
        TypeName="_3CXAgentGreetingWeb.Notification"
        SelectMethod="GetFileNameList"></asp:ObjectDataSource>
</asp:Content>
